namespace BS.Shared.DataContracts
{
    public partial class WohnheimCustomerRelationDC
    {
        public override bool Equals(object obj)
        {
            if (obj is WohnheimCustomerRelationDC)
            {
                var y = (WohnheimCustomerRelationDC)obj;
                if (this.Customer2WohnheimOid == null && y.Customer2WohnheimOid == null)
                {
                    return this.GetHashCode() == y.GetHashCode();
                   
                }

                if (this.Customer2WohnheimOid != null && y.Customer2WohnheimOid != null)
                {
                    return this.Customer2WohnheimOid == y.Customer2WohnheimOid;
                }
            }

            return false;
        }

        public override int GetHashCode()
        {
            return this.Customer2WohnheimOid.HasValue ? this.GetType().Name.GetHashCode() ^ this.Customer2WohnheimOid.GetHashCode() : base.GetHashCode();
        }
    }
}